summaryrefslogtreecommitdiff
blob: df3ec00324ed2ee4b637a13cbbd41c6cd2b135a4 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
# This file is deprecated as per GLEP 56 in favor of metadata.xml. Please add
# your descriptions to your package's metadata.xml ONLY.
# * generated automatically using egencache *

app-cdr/cdrtools:schily-tools - Use libschily from app-shells/schily-tools
app-mobilephone/adb-sync:channel - Install the adb-channel script
app-portage/eix:debug - Build with upstream's CXXFLAGS/LDFLAGS for debugging support; not recommended for normal use.
app-portage/eix:dep - Make DEP=true the default which enables support for {,R,P,B}DEPEND but requires roughly double disk and memory.
app-portage/eix:doc - Create description of the eix cache file additionally in html format
app-portage/eix:jumbo-build - Compile faster and produce better binary. Recommended unless compiling on a quite memory-restricted system.
app-portage/eix:meson - Build with meson instead of autotools. Faster but less compatible
app-portage/eix:optimization - Accept upstream's choices for CXXFLAGS/LDFLAGS for optimization. Absense of this USE flag does not strip user's *FLAGS
app-portage/eix:protobuf - Use dev-libs/protobuf to suport proto output with --proto
app-portage/eix:required-use - Make REQUIRED_USE=true the default which enables support for REQUIRED_USE but requires more disk and memory.
app-portage/eix:security - This adds some checks which can prevent certain exploits if e.g. the eix code has a bug. If you use the hardened toolchain, using this flag does not increase security and can even lead to problems.
app-portage/eix:sqlite - Compile in support for portage's sqlite backend; to actually use it you need additional configuration of portage and eix
app-portage/eix:src-uri - Make SRC_URI=true the default which enables support for SRC_URI but requires roughly double disk and memory.
app-portage/eix:strong-optimization - Adds several more agressive CXXFLAGS/LDFLAGS for optimization like graphite (if available). May cause trouble with some buggy compiler versions. Absense of this USE flag does not strip user's *FLAGS
app-portage/eix:strong-security - Add many checks to prevent exploits if eix code has a bug. This will slow down eix considerably. Use only if you are paranoid or have reasons to suspect a bug.
app-portage/eix:swap-remote - Swap role of remote addresses in eix-remote, making the data from gpo.zugaina.org the first choice.
app-portage/eix:tools - Create separate binary for script helper tools; useful if they are called extremely often
app-portage/eix:usr-portage - Set last PORTDIR fallback to /usr/portage instead of /var/db/repos/gentoo
app-portage/portage-bashrc-mv:ccache - Install a script for CCACHE_* variable support. This requires dev-util/ccache
app-portage/portage-bashrc-mv:cflags - Install a script for /etc/portage/package.cflags support. Requires app-portage/eix for fast parsing
app-portage/portage-bashrc-mv:remove-la - Install a script to remove unneeded .ls files
app-portage/portage-bashrc-mv:title - Install a script to display the expected merge time. Requires app-portage/portage-utils and app-shells/runtitle
app-portage/portage-postsyncd-mv:portage-utils - Make /etc/portage/repo.postsync.d/q-reinit from app-portage/portage-utils non-executable and install a hack in /etc/portage/env/app-portage/portage-utils so that it stays so
app-shells/auto-fu-zsh:compile - Byte-compile to speed up. Do not use this if you are cross-compiling
app-shells/dash:vanilla - Let echo escapes and -n work as decided by upstream
app-shells/schily-tools:renameschily_calc - Rename calc to scalc for compatibility with sci-mathematics/calc
app-shells/schily-tools:renameschily_compare - Rename compare to scompare for compatibility with imagemagick
app-shells/schily-tools:renameschily_count - Rename count to scount for compatibility with sys-devel/llvm
app-shells/schily-tools:renameschily_getopt - Rename count to scount for compatibility with sys-devel/llvm
app-shells/schily-tools:renameschily_jsh - Rename jsh to sjsh for compatibility with app-shells/heirloom-sh
app-shells/schily-tools:renameschily_libschily - Rename some manpages from libschily for compatibility with sys-apps/man
app-shells/schily-tools:renameschily_man2html - Rename man2html to sman2html for compatibility with sys-apps/man
app-shells/schily-tools:renameschily_p - Rename p to sp for compatibility with dev-util/wiggle
app-shells/schily-tools:schilytools_bosh - Install bosh, a shell which aims to be fully POSIX compatible
app-shells/schily-tools:schilytools_calc - Install calc, a bc clone
app-shells/schily-tools:schilytools_calltree - Install calltree, a cflow clone
app-shells/schily-tools:schilytools_cdrtools - Install programs provided by app-cdr/cdrtools
app-shells/schily-tools:schilytools_change - Install change, a program to change patterns in files
app-shells/schily-tools:schilytools_compare - Install compare, a cmp clone
app-shells/schily-tools:schilytools_copy - Install copy, a cp clone
app-shells/schily-tools:schilytools_count - Install count, a wc clone
app-shells/schily-tools:schilytools_cpp - Install cpp, a C preprocessor
app-shells/schily-tools:schilytools_cstyle - Install Cstyle, a C-codingstyle lint
app-shells/schily-tools:schilytools_cut - Install scut, a cut clone
app-shells/schily-tools:schilytools_hdump - Install hdump, a hexdump clone
app-shells/schily-tools:schilytools_label - Install label, a sun disk label manipulator
app-shells/schily-tools:schilytools_lndir - Install lndir, a program for creating symlinked directory trees
app-shells/schily-tools:schilytools_man2html - Install a man2html clone
app-shells/schily-tools:schilytools_manmake - Install manpages about the schily makefile system
app-shells/schily-tools:schilytools_match - Install match, a grep clone
app-shells/schily-tools:schilytools_mdigest - Install mdigest, e.g. covering md5sum sha*sum
app-shells/schily-tools:schilytools_mountcd - Install mountcd, a solaris CD comparison tool
app-shells/schily-tools:schilytools_obosh - Install obosh (formerly: osh), the original sVr4 (SunOS 5) shell with original bugs
app-shells/schily-tools:schilytools_p - Install p, a more program which filters non-printable characters
app-shells/schily-tools:schilytools_paste - Install spaste, a paste clone
app-shells/schily-tools:schilytools_patch - Install spatch, a patch clone
app-shells/schily-tools:schilytools_pbosh - Install pbosh, a shell which implements all POSIX features but only those (compatbilitiy testing!)
app-shells/schily-tools:schilytools_pxupgrade - Install pxupgrade: upgrading firmware in Plextor CD/DVD writers
app-shells/schily-tools:schilytools_sccs - Install sfind, a source code control system
app-shells/schily-tools:schilytools_sfind - Install sfind, a find clone
app-shells/schily-tools:schilytools_smake - Install smake, a make clone
app-shells/schily-tools:schilytools_star - Install programs provided by app-arch/star
app-shells/schily-tools:schilytools_termcap - Install termcap, a termcap compiler
app-shells/schily-tools:schilytools_translit - Install translit, a tr clone
app-shells/schily-tools:schilytools_udiff - Install udiff, a diff clone
app-shells/schily-tools:schilytools_ved - Install ved, a visual editor with features from vi and emacs
app-shells/schily-tools:suid - Install rscsi as SUID root
app-shells/termcolors-mv:create - Install DIR_COLORS-create perl script
app-shells/termcolors-mv:perl - Install 256colors perl script
app-shells/termcolors-mv:poor - Install poor man's variant which does not require coreutils-8.25 or newer
app-text/lesspipe:antiword - Support doc files with app-text/antiword; this overrides catdoc
app-text/lesspipe:brotli - Support brotli files; requires app-arch/brotli
app-text/lesspipe:cabextract - Support cabextract files
app-text/lesspipe:catdoc - Support doc files with app-text/catdoc; unused if antiword is set
app-text/lesspipe:cpio - Support cpio files
app-text/lesspipe:djvu - Support djvu files
app-text/lesspipe:dpkg - Support Debian package files
app-text/lesspipe:dvi2tty - Support dvi files with dev-tex/dvi2tty
app-text/lesspipe:elinks - Support html files with www-client/elinks; ignored if html2text, links, or lynx is set; this overrides w3m
app-text/lesspipe:fastjar - Support jar files with app-arch/fastjar
app-text/lesspipe:ghostscript - Support ps files with app-text/ghostscript-gpl; ignored if pstotext is set
app-text/lesspipe:gpg - Support gpg files
app-text/lesspipe:groff - Support man and nroff files
app-text/lesspipe:hdf5 - Support h5dump from sci-libs/hdf5
app-text/lesspipe:html2text - Support html files with app-text/html2text; this overrides links, lynx, elinks, w3m
app-text/lesspipe:id3v2 - Support mp3 files with media-sound/id3v2; this overrides mp3info2, mp3info
app-text/lesspipe:image - Support image/jpg files
app-text/lesspipe:isoinfo - Support CD/DVD-iso files
app-text/lesspipe:libplist - Support Apple Property List files
app-text/lesspipe:libreoffice - Support msword and rtf conversion using app-office/libreoffice
app-text/lesspipe:links - Support html files with www-client/links; ignored if html2text is set; this overrides lynx, elinks, w3m
app-text/lesspipe:lynx - Support html files with www-client/lynx; ignored if html2text or links is set; this overrides elinks, w3m
app-text/lesspipe:lz4 - Support lz4 files; requires app-arch/lz4
app-text/lesspipe:lzip - Support lzip files
app-text/lesspipe:mediainfo - Support media display using media-video/mediainfo
app-text/lesspipe:mp3info - Support mp3 files with media-sound/mp3info; unused if id3v2 or mp3info2 is set
app-text/lesspipe:mp3info2 - Support mp3 files with dev-perl/MP3-Tag (mp3info2); ignored if id3v2 is set; this overrides mp3info
app-text/lesspipe:netcdf - Support ncdump from sci-libs/netcdf
app-text/lesspipe:ooffice - Support OpenOffice files
app-text/lesspipe:p7zip - Support p7zip files
app-text/lesspipe:pandoc - Support msword and rtf conversion using app-text/pandoc
app-text/lesspipe:pdf - Support pdf files
app-text/lesspipe:pstotext - Support ps files with app-text/pstotext; this overrides ghostscript
app-text/lesspipe:rar - Support rar files with app-arch/rar; unused if unrar is set
app-text/lesspipe:rpm - Support rpm files with app-arch/rpm or rpm5; ignored if rpm2targz is set
app-text/lesspipe:rpm2targz - Support rpm files with app-arch/rpm2targz; this overrides rpm
app-text/lesspipe:unrar - Support rar files with app-arch/unrar; this overrides rar
app-text/lesspipe:unrtf - Support rtf files with app-text/unrtf
app-text/lesspipe:unzip - Support zip files with app-arch/unzip
app-text/lesspipe:w3m - Support html files with www-client/w3m; ignored if html2text, links, lynx, or elinks is set
app-text/lesspipe:wv - Support msword and rtf conversion using app-text/wv
app-text/lesspipe:xlhtml - Support Excel and Powerpoint files with app-arch/xlhtml
app-text/lesspipe:zstd - Support brotli files; requires app-arch/zstd
app-text/podofo:boost - Add support for boost
app-text/podofo:lua-slotted - Support slotted lua version (default to lua:5.3)
app-text/podofo:lua51 - With lua-slotted use lua:5.1
app-text/podofo:lua52 - With lua-slotted use lua:5.2
app-text/podofo:tools - Build and install commandline tools.
app-text/stardict:advertisement - Enable stardict advertisements plugin
app-text/stardict:cal - Enable calendar support using cal program
app-text/stardict:canberra - Use libcanberra for sound playing
app-text/stardict:dictdotcn - Enable dict.cn network plugin (for Chinese language)
app-text/stardict:espeak - Enable text to speech synthesizer plugin using app-accessibility/espeak engine
app-text/stardict:flite - Enable text to speech synthesizer plugin using app-accessibility/flite engine
app-text/stardict:fortune - Enable plugin to read fortune messages using games-misc/fortune-mod. You may consider installing games-misc/fortune-mod-all to get all fortune messages.
app-text/stardict:gucharmap - Enable plugin for unicode symbols description using gnome-extra/gucharmap
app-text/stardict:htmlparse - Enable plugin to parse dictionaries with html content
app-text/stardict:info - Enable plugin to read info pages
app-text/stardict:man - Enable plugin to read manual pages
app-text/stardict:powerwordparse - Enable plugin to parse powerword dictionaries
app-text/stardict:pronounce - Install WyabdcRealPeopleTTS package (it is just many .wav files) to make StarDict pronounce English words
app-text/stardict:qqwry - Enable QQWry plugin, which provides information (in Chinese language) about geographical positions, owner, etc. for IP addresses
app-text/stardict:tools - Build and install dictionary management tools and converters from various dictionary formats
app-text/stardict:updateinfo - Enable plugin to check for stardict updates
app-text/stardict:wikiparse - Enable plugin to parse dictionaries in wikimedia format
app-text/stardict:wordnet - Enable wordnet plugin to find similar English words using lexical database
app-text/stardict:xdxfparse - Enable plugin to parse dictionaries in xdxf (XML Dictionary eXchange Format)
app-text/stardict:youdaodict - Enable youdao.com network plugin (for Chinese language)
dev-libs/weston:colord - Allow setting color managment
dev-libs/weston:drm - Enable drm compositor support
dev-libs/weston:editor - Install wayland-editor example application
dev-libs/weston:fbdev - Enable fbdev compositor support
dev-libs/weston:gles2 - Use GLESv2 cairo instead of full GL
dev-libs/weston:headless - Headless backend and a noop renderer, mainly for testing purposes
dev-libs/weston:ivi - Enable the IVI shell
dev-libs/weston:launch - Install weston-launch utility
dev-libs/weston:rdp - Enable Remote Desktop Protocol compositor support
dev-libs/weston:resize-optimization - Increase performance, allocate more RAM. Recommended to disable on Raspberry Pi
dev-libs/weston:screen-sharing - Enable screen-sharing through RDP
dev-libs/weston:unwind - Enable libunwind usage for backtraces
dev-libs/weston:wayland-compositor - Enable Wayland compositor support
dev-libs/weston:webp - Add support for the WebP image format
dev-libs/weston:xwayland - Enable ability support native X11 applications
games-board/chessproblem:debug - Build with upstream's CXXFLAGS/LDFLAGS for debugging support; not recommended for normal use.
games-board/chessproblem:multithreading - Install multithreading version
games-board/chessproblem:optimization - Accept upstream's choices for CXXFLAGS/LDFLAGS for optimization. Absense of this USE flag does not strip user's *FLAGS
games-board/chessproblem:propagate-signal - Use signal propagation for thread pruning. Requires more memory; it is faster in some cases, but slower in others
games-board/chessproblem:strong-optimization - Adds several more agressive CXXFLAGS/LDFLAGS for optimization like graphite (if available). May cause trouble with some buggy compiler versions. Absense of this USE flag does not strip user's *FLAGS
games-board/chessproblem:unlimited - Do not limit number of threads by hardware_concurrency. Useful only for debugging
games-emulation/sdlmame:arcade - Enable the Multiple Arcade Machine Emulator for arcade games support
games-emulation/sdlmame:mess - Enable the Multi Emulator Super System for game system support
games-emulation/sdlmame:tools - Build development tools shared between sdlmame and sdlmess
games-emulation/xmame:bundled-libs - Use bundled version of dev-libs/expat
games-emulation/xmame:net - Add network support
games-emulation/xmess:bundled-libs - Use bundled version of dev-libs/expat
games-emulation/xmess:net - Add network support
games-puzzle/fish-fillets:lua-slotted - Support slotted lua version
games-rpg/freedroidrpg:devtools - Compile the additional dev tools
games-rpg/freedroidrpg:profile - Enable the integration of the ingame real-time profiler
games-rpg/freedroidrpg:sanitize - Compile with address sanitizer
games-rpg/m5figur-mv:examples - Compile example character sheet as PDF
media-gfx/pqiv:archive - Enable support for images in archives and cbX comic book files
media-gfx/pqiv:gtk2 - Use gtk:2 instead of gtk:3
media-libs/avidemux-core:nvenc - Adds support for NVIDIA Encoder (NVENC) API for hardware accelerated encoding on NVIDIA cards.
media-libs/avidemux-core:system-ffmpeg - Use the ffmpeg provided by the system.
media-libs/avidemux-plugins:aften - Enable A/52 (AC-3) audio encoder support.
media-libs/avidemux-plugins:amr - Enable Adaptive Multi-Rate format support via media-libs/opencore-amr.
media-libs/avidemux-plugins:dcaenc - Enable DTS Coherent Acoustics audio encoder support via media-sound/dcaenc.
media-libs/avidemux-plugins:fdk - Adds support for encoding AAC using media-libs/fdk-aac.
media-libs/avidemux-plugins:fribidi - Enable unicode bidirectional algorithm support via dev-libs/fribidi.
media-libs/avidemux-plugins:nvenc - Adds support for NVIDIA Encoder (NVENC) API for hardware accelerated encoding on NVIDIA cards.
media-libs/avidemux-plugins:opus - Adds support for the Opus codec via media-libs/opus.
media-libs/avidemux-plugins:twolame - Enable TwoLAME support via media-sound/twolame, an optimised MPEG Audio Layer 2 (MP2) encoder.
media-libs/avidemux-plugins:vpx - Enable WebM VP8 Codec SDK support via media-libs/libvpx.
media-libs/avidemux-plugins:x265 - Enables HEVC support with media-libs/x265.
media-tv/sundtek-tv:ld-preload-env - Install LD_PRELOAD in /etc/env.d/50sundtek-tv
media-tv/sundtek-tv:ld-preload-file - Install /etc/ld.so.preload
media-tv/sundtek-tv:pax_kernel - Mark package which is necessary if you use a PAX kernel
media-tv/w_scan:plp-id-zero - Apply experimental patch to force plp_id to 0 for DVB-T2. Seems to be necessary at least with some tuners in some regions
media-video/avidemux:nvenc - Adds support for NVIDIA Encoder (NVENC) API for hardware accelerated encoding on NVIDIA cards.
net-dns/noip-updater:ezipupd - Use user/group ezipupd instead of nobody: Useful if you restrict outgoing network traffic for user nobody
net-libs/wvstreams:boost - Use dev-libs/boost to provide TR1-compatible functional interface. This USE flag is only needed with GCC earlier than version 4.1, or with other compilares not providing said interface.
net-print/foo2zjs:foomaticdb - Add support for the foomatic printing driver database
sci-geosciences/googleearth:bundled-libs - Use bundled libraries.
sci-geosciences/googleearth:bundled-qt - Use bundled qt.
sys-apps/less:less-select - Add the less-select feature (additional options and a binary helper).
sys-apps/less:lesspipe - Default to lesspipe.sh from app-text/lesspipe instead of the gentoo specific lesspipe.
sys-apps/less:original-gentoo - Use the gentoo default for the LESS variable.
sys-apps/less:source - Install sources for keybindings (only useful with less-select).
sys-apps/man:cache - Use cache directory. Superfluous on modern machines
sys-block/parted:debug - Enable debugging as encouraged by upstream: [The default configuration] includes --enable-debug (by default), which contains many assertions. Obviously, these "waste" space, but in the past, they have caught potentially dangerous bugs before they would have done damage, so we think it's worth it. Also, it means we get more bug reports ;)
sys-block/parted:device-mapper - Enable device-mapper support from sys-fs/lvm2 in parted
sys-block/parted:standalone - Install a standalone version which provides all headers and binaries which collide with sys-block/parted:0. If this flag is not set, sys-block/parted:0 is pulled in to provide the non-installed headers and binaries.
sys-fs/squash_dir:aufs - Prefer aufs
sys-fs/squash_dir:bundled-openrc-wrapper - Install the bundled openrc-wrapper
sys-fs/squash_dir:overlayfs - Prefer overlayfs
sys-fs/squash_dir:unionfs-fuse - Prefer unionfs-fuse
sys-fs/squashfs-tools:lz4 - Enable support for LZ4 compression using app-arch/lz4
sys-fs/squashfs-tools:xz - Enable support for XZ ("LZMA2") compression using app-arch/xz-utils
sys-fs/squashfs-tools:zstd - Enable support for ZSTD compression using app-arch/zstd (requires >=linux-4.14 or >=sys-fs/squashfuse-0.1.101_alpha20170917)
sys-fs/squashfuse:lz4 - Enable support for lz4 compression
sys-fs/squashfuse:zstd - Enable support for zstd compression
x11-libs/gtk+:adwaita-icon-theme - Force the adwaita-icon-theme
x11-libs/gtk+:atk-bridge - Enable the gtk3-atk-bridge, hard depending on app-accessibility/at-spi2-atk and thus on sys-apps/dbus
x11-libs/gtk+:broadway - Enable the GDK Broadway backend.
x11-libs/gtk+:cloudprint - Enable printing via Google Cloud Print.
x11-libs/gtk+:colord - Use x11-misc/colord for color management in printing
x11-libs/motif:motif22-compatibility - Compatibility with Open Motif 2.2
x11-misc/redshift:geoclue - Control dependency on app-misc/geoclue